Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::PrivateConnectionPolicy_out Class Reference

`#include <RTCORBAC.h>`

Collaboration diagram for RTCORBA::PrivateConnectionPolicy_out:

[legend]
List of all members.

## Public Methods
| PrivateConnectionPolicy_out (PrivateConnectionPolicy_ptr &)
| PrivateConnectionPolicy_out (PrivateConnectionPolicy_var &)
| PrivateConnectionPolicy_out (const PrivateConnectionPolicy_out &)
PrivateConnectionPolicy_out & | operator= (const PrivateConnectionPolicy_out &)
PrivateConnectionPolicy_out & | operator= (const PrivateConnectionPolicy_var &)
PrivateConnectionPolicy_out & | operator= (PrivateConnectionPolicy_ptr)
| operator PrivateConnectionPolicy_ptr & ()
PrivateConnectionPolicy_ptr & | ptr (void)
PrivateConnectionPolicy_ptr | operator-> (void)
## Private Attributes
PrivateConnectionPolicy_ptr & | ptr_

## Constructor & Destructor Documentation

RTCORBA::PrivateConnectionPolicy_out::PrivateConnectionPolicy_out | ( | PrivateConnectionPolicy_ptr & |  | ) |

RTCORBA::PrivateConnectionPolicy_out::PrivateConnectionPolicy_out | ( | PrivateConnectionPolicy_var & |  | ) |

RTCORBA::PrivateConnectionPolicy_out::PrivateConnectionPolicy_out | ( | const PrivateConnectionPolicy_out & |  | ) |

## Member Function Documentation

RTCORBA::PrivateConnectionPolicy_out::operator PrivateConnectionPolicy_ptr & | ( |  | ) |

PrivateConnectionPolicy_ptr RTCORBA::PrivateConnectionPolicy_out::operator-> | ( | void |  | ) |

PrivateConnectionPolicy_out& RTCORBA::PrivateConnectionPolicy_out::operator= | ( | PrivateConnectionPolicy_ptr |  | ) |

PrivateConnectionPolicy_out& RTCORBA::PrivateConnectionPolicy_out::operator= | ( | const PrivateConnectionPolicy_var & |  | ) |

PrivateConnectionPolicy_out& RTCORBA::PrivateConnectionPolicy_out::operator= | ( | const PrivateConnectionPolicy_out & |  | ) |

PrivateConnectionPolicy_ptr& RTCORBA::PrivateConnectionPolicy_out::ptr | ( | void |  | ) |

## Member Data Documentation

PrivateConnectionPolicy_ptr& RTCORBA::PrivateConnectionPolicy_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- RTCORBAC.h